xquery version "3.1";

(: This library module contains XQSuite tests for the utils module stored in
 : xml-utils.xqm :)

module namespace xml-utils-test = "http://bdn-edition.de/ns/xml-utils-test";

import module namespace xml-utils="http://bdn-edition.de/portal/xml-utils" at "../xml-utils.xqm";

declare namespace tei="http://www.tei-c.org/ns/1.0";
declare namespace test="http://exist-db.org/xquery/xqsuite";

declare
    %test:args("<div xmlns=""http://www.tei-c.org/ns/1.0"" type=""part"">
    <div xmlns=""http://www.tei-c.org/ns/1.0"" type=""chapter"">
        <head xmlns=""http://www.tei-c.org/ns/1.0"">Some text
          <supplied xmlns=""http://www.tei-c.org/ns/1.0"" reason=""toc-title"">TOC</supplied></head>
        <div xmlns=""http://www.tei-c.org/ns/1.0"" type=""section"">More text</div>
        </div>
    </div>")
    %test:assertEquals("chapter")

    %test:args("<div xmlns=""http://www.tei-c.org/ns/1.0"" type=""part"">
      <div xmlns=""http://www.tei-c.org/ns/1.0"" type=""chapter"">
          <head xmlns=""http://www.tei-c.org/ns/1.0"">Some text </head>
          <div xmlns=""http://www.tei-c.org/ns/1.0"" type=""section"">More text</div>
      </div>
    </div>")
    %test:assertEquals("section")
    function xml-utils-test:get-highest-child-div-type($node as text()) {
        xml-utils:get-highest-child-div-type($node)
};

declare
    %test:args("griesbach")
    %test:assertEquals("252bh.3.xml")
    function xml-utils-test:get-structure-file($node as text()) {
        xml-utils:get-structure-file($node)
};

declare
    %test:args("griesbach")
    %test:assertEquals("griesbach-full.xml")
    function xml-utils-test:make-full-file-name($node as text()) {
        xml-utils:make-full-file-name($node)
};
